Skip to content

Import history and the draft the wizard resumes

GET
/api/v1/workspaces/{workspace}/imports
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/imports \
--header 'Authorization: Bearer <token>'

Permission: subscribers:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
active
string
items
required
Array<object>
object
contacts
required

Contacts imported, merged or imported as pending

integer format: int64
createdAt
required
string format: date-time
createdBy
required
string
fileName
required
string
finishedAt
string format: date-time
id
required
string
source
required
string
sourceName
required
string
status
required
string
step
required
string

Example generated

{
"active": "example",
"items": [
{
"contacts": 1,
"createdAt": "2026-04-15T12:00:00Z",
"createdBy": "example",
"fileName": "example",
"finishedAt": "2026-04-15T12:00:00Z",
"id": "example",
"source": "example",
"sourceName": "example",
"status": "example",
"step": "example"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}